<?php
include "setup.php";
session_start();
error_reporting(E_ALL ^ E_NOTICE);
header("Cache-control: private"); 

ob_start(); 
include $setup['path']."/pc_inc/functions.php"; 
include $setup['path']."/pc_inc/pc_functions.php"; 
require "pc_icons.php"; 
$dbcon = dbConnect($setup);
securityCheck();
$site_setup = doSQL("pc_settings", "*", "");
$photo_setup = doSQL("photo_setup", "*", "");
if(!empty($_SESSION['pc_language'])) {
	$tr = doSQL("pc_texts LEFT JOIN pc_texts2 ON pc_texts.id=pc_texts2.lang_id ", "*", "WHERE id='".$_SESSION['pc_language']."' ");
} else {
	$tr = doSQL("pc_texts LEFT JOIN pc_texts2 ON pc_texts.id=pc_texts2.lang_id ", "*", "WHERE id='".$site_setup['default_language']."' ");
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
</head>
<body>
<div  id="popupinner">
<?php 


if($_POST['submitit'] == "submit") {
	if((empty($_POST['email'])) || (empty($_POST['password']))) {
		$mess = "<span class=error>".$tr['login_blank']."</span>";
		showloginform($mess);
	} else {
		$_REQUEST['email'] = sql_safe("".$_REQUEST['email']."");
		$_REQUEST['password'] = sql_safe("".$_REQUEST['password']."");
		$ckemail = doSQL("pc_clients", "*",  " WHERE client_email='".$_REQUEST['email']."' ");
		$pass = MD5($_REQUEST['password']."".$ckemail['client_salt']);

		$client = doSQL("pc_clients", "*",  " WHERE client_id='".$ckemail['client_id']."' AND client_pass='$pass' ");
		if($client['client_id'] <= 0) { 
			showloginform("<span class=error>".$tr['login_wrong']."</error>");
		} elseif(($client['client_id'] > 0) && ($client['client_confirmed']!=="0")==true) {

			showloginform("<span class=error>".$tr['account_not_active']."</error>");
		} else {
			$_SESSION['pc_client_login'] = true;
			$_SESSION['pc_client_id'] = $client['client_id'];

			if($_REQUEST['rememberme'] == "on") {
				$time=time()+3600*24*365*2;
				$domain = str_replace("www.", "", $_SERVER['HTTP_HOST']);
				$cookie_url = ".$domain";

				// SetCookie("pc_client_id",MD5($client['client_email'].$client['client_id']),$time,"/",null);
				// Changes here 
				SetCookie("pc_client_id",MD5($client['client_email'].$client['client_id']),$time,"/",$cookie_url);
			}

			/* COMBINING SHOPPING CART */
			$prevCart = countIt("pc_cart", "WHERE cart_client='".$client['client_id']."' ");
			$thisCart = countIt("pc_cart", "WHERE cart_sess='".$_COOKIE['pc_c_sess']."' AND cart_client='0' ");
			updateSQL("pc_cart", "cart_client='".$client['client_id']."', cart_sess='' WHERE cart_sess='".$_COOKIE['pc_c_sess']."' AND cart_client='0' ");
			updateSQL("pc_cart_notes", "note_client='".$client['client_id']."', note_sess='' WHERE note_sess='".$_COOKIE['pc_c_sess']."' AND note_client='0' ");
			updateSQL("pc_cart_image_options", "opt_client='".$client['client_id']."', opt_sess='' WHERE opt_sess='".$_COOKIE['pc_c_sess']."' AND opt_client='0' ");
			if($prevCart > 0 AND $thisCart > 0) {
				$_SESSION['amessage'] = "You have images in your cart from a previous session when you were logged in and your cart has been combined. Please review below.";
				session_write_close();
				print "<div class=\"windowPadding\"><img src=\"pcicons/loading3.gif\"></div>";
				echo "<script language=javascript>";
				echo "window.open('".$setup['url']."/index.php?do=photocart&action=cart', '_parent', '')";
				echo "</script> ";
				exit();
			}


			if($_REQUEST['_ret'] == "registry") {
				print "<div class=\"windowPadding\"><img src=\"pcicons/loading3.gif\"></div>";
				session_write_close();
				echo "<script language=javascript>";
				echo "window.open('".$setup['url']."/index.php?do=registry', '_parent', '')";
				echo "</script> ";
				exit();
			} elseif(!empty($_SESSION['checkout'])) {
				print "<div class=\"windowPadding\"><img src=\"pcicons/loading3.gif\"></div>";
				unset($_SESSION['checkout']);
				session_write_close();
				echo "<script language=javascript>";
				echo "window.open('".$setup['url']."/index.php?do=photocart&action=checkout', '_parent', '')";
				echo "</script> ";
				exit();

			} else {
				if($site_setup['hide_expired_gallery'] == "1") {
					$and_expire = "   AND ((gal_expire!='0000-00-00' AND gal_expire>=CURDATE() ) OR (gal_expire='0000-00-00'))";
				}
				$gal_where['table'] = "galleries, pc_users";
				$gal_where['select'] = "*, date_format(DATE_ADD(gal_date, INTERVAL 2 HOUR), '%M %e, %Y ')  AS gal_date, date_format(DATE_ADD(gal_expire, INTERVAL 2 HOUR), '%M %e, %Y ')  AS gal_show_expire";
				$gal_where['where'] = "WHERE galleries.gal_status='1'  AND galleries.gal_id=pc_users.user_gallery AND pc_users.user_client=".$client['client_id']." $and_expire ORDER BY gal_order ASC";
			
				$ckg = whileSQL("galleries, pc_users", "*", "WHERE galleries.gal_status='1'  AND galleries.gal_id=pc_users.user_gallery AND pc_users.user_client='".$client['client_id']."' $and_expire  ");
				session_write_close();
				print "<div class=\"windowPadding\"><img src=\"pcicons/loading3.gif\"></div>";
				echo "<script language=javascript>";
				if(!empty($_SESSION['login_return'])) { 
					echo "window.open('".$_SESSION['login_return']."', '_parent', '')";
				} else {
					echo "window.open('".$setup['url']."/index.php?login=y', '_parent', '')";
				}
				echo "</script> ";
				exit();
			}
		 }
	}
} else {
	showloginform($mess);
}


?>



<?php
function showloginform($mess) {
	global $tr,$use_secure_logins,$setup;
	if($_REQUEST['fromFavs'] == "yes") {
		$mess = $tr['add_favs_login'];
	}
	?>
	<div style="float: right; clear: right; padding: 4px;"><a href="javascript:closepopupBGContainer();"><?php print icon_close;?></a></div>
<div style="width: 50%; margin: auto;">
	<div class="pageContent"><h2><?php print showText("li_title");?></h2></div>
	<?php if(!empty($mess)) { ?><div class=errorMessage><?php print "$mess"; ?></div><?php } ?>

	<div class="pageContent"><?php print "".showText("li_text").""; ?></div>

	<div style="margin: auto;">
	<form name="login" method="POST" action="pc_login.php?wbg=1"    onSubmit="return submitPopupForm('pc_login.php','login');">
	<div class="pageContent">
	<div><?php print "".showText("li_email").""; ?></div>
	<div><input type=text name="email" id="email" size=30 class="textfield login" value=""></div>
	</div>
	<div class="pageContent">
	<div><?php print "".showText("li_pass").""; ?></div>
	<div><input type=password name="password" size=30 class="textfield login" ></div>
	</div>
	<div class="pageContent">
	<input type="checkbox" name="rememberme" class="checkbox" checked> <?php print "".showText("li_remember")."";?>
	</div>
	<div class="pageContent">
	<input type="hidden" name="do" value="login">
	<input type="hidden" name="submitit" value="submit" class="login">
	<input type="submit" name="submit" value="<?php print $tr['li_submit']; ?>" class="submit">
	</div>
	</form>
	</div>


<?php
	if($use_secure_logins == 1) {
	$lpost = $setup['secure_url']."/index.php";
} else {
	$lpost = "index.php";
}
?>
<div class="pageContent" ><a href="pc_forgot_password.php" onclick="forgotPassword(); return false;"><?php print "".showText("li_remind").""; ?></a></div>
<div>&nbsp;</div>
<div class="pageContent"><span class="createAccountLoginPage"><a href="<?php print $lpost;?>?do=register" target="_parent"><?php print "".showText("li_create").""; ?></a></span></div>
<div>&nbsp;</div>
	<?php
	if((trim($_SESSION['pc_admin_login']) == "1") AND ($_SESSION['pc_admin'] !== NULL ) AND($_SESSION['editText'] == "1")==true) { ?>
	<hr>
	<div>Login button: <?php print showText("li_submit");?></div>
	<div>&nbsp;</div>
	<div>Somethig is blank: <?php print showText("login_blank");?></div>

	<div>&nbsp;</div>
	<div>Login wrong: <?php print showText("login_wrong");?></div>
	<div>&nbsp;</div>
	<div>Account not active: <?php print showText("account_not_active");?></div>
	<div>Account on hold: <?php print showText("account_on_hold");?></div>

	<div>&nbsp;</div>

	<?php } ?>
</div>
<script>
 $(document).ready(function(){
	setTimeout(function () {
	  $('#email').focus();
	}, 100);
	$(".textEdit").each(function(i){
		var this_id = this.id;
		$("#"+this_id).bind('click', function() { editText(this_id) });
	});

 });
</script>

<?php } ?>

</div>